SDL_BIG_ENDIAN(3)

NAME
SDL_BIG_ENDIAN - A value to represent bigendian byteorder.

SYNOPSIS
#include <SDL3/SDL_endian.h>

#define SDL_BIG_ENDIAN  4321

DESCRIPTION
This is used with the preprocessor macro SDL_BYTEORDER, to determine a platform's byte ordering:

        #if SDL_BYTEORDER == SDL_BIG_ENDIAN
        SDL_Log("This system is bigendian.");
        #endif

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
SDL_BYTEORDER(3), SDL_LIL_ENDIAN(3)